# This must be manually updated:
%define upstreamversion 1.2.21-17

Name:           satellite-schema
Group:          Applications/Internet
Summary:        Satellite schema upgrades and spacewalk-schema overrides
Version:        5.4.0.28
Release:        1%{?dist}
Source0:        %{name}-%{version}.tar.gz
License:        GPLv2
Url:            http://fedorahosted.org/spacewalk/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build

Requires:       spacewalk-schema >= %{upstreamversion}
Obsoletes:      rhn-satellite-schema < 5.3.0

%define rhnroot /etc/sysconfig/rhn

%description
satellite-schema package contains satellite schema upgrade scripts
and spacewalk-schema overrides.

%prep
%setup -q -n satellite-schema-%{version}

%build

sed -i -e "s!SCHEMA_NAME!'%{name}'!" \
        -e "s!SCHEMA_VERSION!'%{version}'!" \
        -e "s!SCHEMA_RELEASE!'%{release}'!" schema-override/data/rhnVersionInfo.sql

%install
rm -rf $RPM_BUILD_ROOT
install -m 0755 -d $RPM_BUILD_ROOT%{rhnroot}
install -m 0755 -d $RPM_BUILD_ROOT%{rhnroot}/schema-upgrade
install -m 0755 -d $RPM_BUILD_ROOT%{rhnroot}/oracle/schema-override
install -m 0755 -d $RPM_BUILD_ROOT/etc/cron.daily
install -m 0755 schema-upgrade-notif $RPM_BUILD_ROOT/etc/cron.daily
tar cf - -C schema-override . | tar xf - -C $RPM_BUILD_ROOT%{rhnroot}/oracle/schema-override
tar cf - -C upgrade . | tar xf - -C $RPM_BUILD_ROOT%{rhnroot}/schema-upgrade

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{rhnroot}/schema-upgrade
%dir %{rhnroot}/oracle/schema-override
%{rhnroot}/schema-upgrade/*
%{rhnroot}/oracle/schema-override/*
/etc/cron.daily/schema-upgrade-notif

%changelog
* Thu Mar 20 2014 Jan Dobes 5.4.0.28-1
- 1078850 - increase length of rhnCVE name column
- reverted changes for 906157

* Mon Jul 01 2013 Michael Mraka <michael.mraka@redhat.com> 5.4.0.27-1
- fixed filenames for upgrade scripts

* Mon Jul 01 2013 Michael Mraka <michael.mraka@redhat.com> 5.4.0.26-1
- fixed forgotten end loop
- fixed syntax error in rhn_confrevision_del_trig_fun

* Thu Jun 27 2013 Michael Mraka <michael.mraka@redhat.com> 5.4.0.25-1
- 906157 - schema upgrades for rhnConfigRevision triggers
- 906157 - upgrade scripts for rhn_config.delete_file() and
  rhn_confrevision_ccid_idx index

* Tue Jun 04 2013 Michael Mraka <michael.mraka@redhat.com> 5.4.0.24-1
- 961547 - fixed filename lenght in rhnErrataFileTmp

* Thu May 23 2013 Michael Mraka <michael.mraka@redhat.com> 5.4.0.23-1
- 961547 - fixed filename lenght in rhnErrataFileTmp

* Tue May 21 2013 Michael Mraka <michael.mraka@redhat.com> 5.4.0.22-1
- 961547 - fixed filename lenght in rhnErrataFileTmp

* Mon Apr 29 2013 Tomas Lestach <tlestach@redhat.com> 5.4.0.21-1
- 956445 - upgrade scripts to remove duplicate entries in
  rhnRam,rhnCpu,rhnServerDmi

* Tue Sep 11 2012 Jan Pazdziora 5.4.0.20-1
- 856133 - Fixing the rhn_command.command_class default.
- 856128 - We need to recreate the index.
- 856128 - schema upgrade scripts for extending rhnPackageCapability.version.
- 856118 - kickstartable tree shall be deleted together with the channel
- 828795 - Adding ON DELETE CASCADE to schema.

* Thu Feb 02 2012 Tomas Lestach <tlestach@redhat.com> 5.4.0.19-1
- rename satellite upgrade scripts to have .sql extension (tlestach@redhat.com)

* Tue Jan 31 2012 Tomas Lestach <tlestach@redhat.com> 5.4.0.18-1
- require specific spacewalk-schema version (tlestach@redhat.com)
- adding satellite-schema upgrades for BZ 701767 & 782430 (tlestach@redhat.com)

* Wed Aug 17 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.17-1
- 722189 - upgrade script for satellite schema (tlestach@redhat.com)

* Thu Aug 11 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.16-1
- adding DB entries for complete errata cache regeneration
  (tlestach@redhat.com)

* Thu Aug 11 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.15-1
- satellite schema upgrade directory rename to follow the upgrade path
  (tlestach@redhat.com)

* Thu Aug 11 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.14-1
- 722189 - adding upgrade script for satellite schema (tlestach@redhat.com)

* Tue May 17 2011 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.13-1
- don't send schema notification during sat. installation

* Mon Apr 18 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.12-1
- adding satellite-schema upgrade script for BZ#644349 (tlestach@redhat.com)
- 696663 - variable name fix (mzazrivec@redhat.com)
- include post 5.4 schema changes into < 5.4 -> 5.4.1 schema upgrades
  (mzazrivec@redhat.com)
- verbatim copy of rhn_entitlements package body for bug #671450
  (mzazrivec@redhat.com)
- 696700 - insert new gpg keys only if they don't exist (mzazrivec@redhat.com)
- 696663 - schema upgrade cron notification (mzazrivec@redhat.com)

* Thu Mar 31 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.11-1
- require specific spacewalk-schema version (tlestach@redhat.com)
- add BZ#671450 to be applied by satellite schema upgrade (tlestach@redhat.com)

* Tue Mar 15 2011 Michael Mraka <michael.mraka@redhat.com> 5.4.0.10-1
- 671464 - added schema upgrade for new keys

* Fri Jan 07 2011 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.9-1
- schema fixes for #668007, #668004, #668002

* Tue Oct 05 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.8-1
- 640335 - remove Debian data from Satellite 5.4 schema

* Fri Oct 01 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.7-1
- consistent white spaces in rhnActionType

* Fri Oct 01 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.6-1
- include rhnActionType data updates (bug 509206)

* Fri Sep 24 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.4-1
- drop rhn_reporegenq_id_nn in satellite schema upgrades
- rhnActionType override needs to match its counterpart

* Wed Sep 08 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.3-1
- fix problem with overlaping sql scripts

* Thu Aug 26 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.2-1
- enable schema upgrades for Satellite 5.4

* Tue Aug 24 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.1-1
- update schema-overrides for Satellite 5.4

* Tue Jul 14 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.23-1
- 511134 - fixing issue where upgrades from 3.7 would leave kickstart --urls in
  a state that wouldnt work (jsherril@redhat.com)
- 511091 - fixing issue where after upgrades, some profiles were set to a virt
  type of kvm (jsherril@redhat.com)

* Tue Jul 07 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.22-1
- 509029 - schema/upgrade - update the text used for action type =
  kickstart_guest.initiate (bbuckingham@redhat.com)

* Mon May 18 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.21-1
- upgrade links were replaced with ref files

* Thu May 14 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.19-1
- added sql upgrade links for latest spacewalk-schema

* Wed May 06 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.18-1
- removed rhnFAQClass, rhnFAQ overrides (mzazrivec@redhat.com)

* Mon Apr 27 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.17-1
- added sql upgrade scripts from spacewalk-schema-0.5.20-8

* Wed Apr 22 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.16-1
- added sql upgrade scripts from spacewalk-schema-0.5.20-6

* Mon Apr 20 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.15-1
- 487319 - adding upgrade scripts from pre goldmember era (mzazrivec@redhat.com)

* Wed Apr 15 2009 Milan Zazrivec 5.3.0.14-1
- added sql upgrade scripts from spacewalk-schema-0.5.20-5

* Tue Apr 07 2009 Milan Zazrivec 5.3.0.13-1
- added sql upgrade scripts for bugs: 494475, 460136, 480060

* Tue Mar 31 2009 Milan Zazrivec 5.3.0.12-1
- added sql upgrade scripts from spacewalk-schema-0.5.20-1

* Thu Mar 12 2009 Milan Zazrivec 5.3.0.11-1
- added sql upgrade scripts from spacewalk-schema-0.5.17-1

* Thu Feb 19 2009 Milan Zazrivec 5.3.0.10-1
- added sql upgrade scripts from spacewalk-schema-0.5.9-1

* Fri Feb 13 2009 Milan Zazrivec 5.3.0.9-6
- added sql upgrade scripts from spacewalk-schema-0.5.7

* Wed Feb 11 2009 Milan Zazrivec 5.3.0.9-5
- added sql upgrade scripts from spacewalk-schema-0.5.4

* Fri Feb 06 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.9-4
- bump upstreamversion
- make the requires >= instead of =

* Fri Jan 23 2009 jesus m. rodriguez 5.3.0.9-3
- rebuild

* Fri Jan 23 2009 Milan Zazrivec 5.3.0.9-1
- requires latest spacewalk-schema (ver. 0.5.2)
- obsolete rhn-satellite-schema < 5.3.0

* Fri Jan 23 2009 Jan Pazdziora 5.3.0.7-1
- bump version to jump over previous tags (from spacewalk-schema)

* Fri Jan 23 2009 Jan Pazdziora 5.3.0.1-1
- minor changes

* Fri Jan 23 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.0-1
- initial packaging
